net/get-flash-videos - The NetBSD Packages Collection

Tool for using various Flash-based video hosting sites

Download videos from various Flash-based video hosting sites, without having
to use the Flash player. Handy for saving videos for watching offline, and
means you don't have to keep upgrading Flash for sites that insist on a newer
version of the player.

Includes support for the following sites/players (and more!):

  YouTube, eHow, Brightcove (used by many sites like Channel 4, Daily
  Telegraph ...), BBC (news, etc), Metacafe, 5min, Google, fliqz, nicovideo,
  vimeo, Blip, Break, Collegehumor, Muzu, Sevenload, Megavideo, Wat.tv.

Also includes a 'generic' method which works on many other sites.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

security/p5-Crypt-Blowfish_PP comms/p5-Data-AMF www/p5-HTML-Tree www/p5-LWP-Protocol-https devel/p5-Module-Find devel/p5-Tie-IxHash www/p5-URI www/p5-WWW-Mechanize net/rtmpdump lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0earmv7hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0earmv7hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0i386get-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0i386get-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0i386get-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0powerpcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0powerpcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0powerpcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0powerpcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 8.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0aarch64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0aarch64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0aarch64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0alphaget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0alphaget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0alphaget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv6hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv6hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv6hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv6hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv7hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv7hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv7hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv7hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0earmv7hfget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0i386get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0i386get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0i386get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0mips64ebget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0mips64ebget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0mips64ebget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0powerpcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0powerpcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0powerpcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0powerpcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0sparc64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0sparc64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0sparc64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0sparcget-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0x86_64get-flash-videos-0.0.20150331nb5.tgz
NetBSD 9.0x86_64get-flash-videos-0.0.20150331nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.